pmem::obj::transaction::automatic::uncaught_exception_counter Class Reference

Internal class for counting active exceptions. More...

## Public Member Functions

| uncaught_exception_counter ()
| Default constructor. More...
bool | new_uncaught_exception ()
| Notifies is a new exception is being handled. More...

## Private Attributes

int | count
| The number of active exceptions.

## Detailed Description

Internal class for counting active exceptions.

## Constructor & Destructor Documentation

## uncaught_exception_counter()

pmem::obj::transaction::automatic::uncaught_exception_counter::uncaught_exception_counter | ( |  | ) |

inline

Default constructor.

Sets the number of active exceptions on object creation.

## Member Function Documentation

## new_uncaught_exception()

bool pmem::obj::transaction::automatic::uncaught_exception_counter::new_uncaught_exception | ( |  | ) |

inline

Notifies is a new exception is being handled.

Returns
  true if a new exception was throw in the scope of the object, false otherwise.

The documentation for this class was generated from the following file:

- pmdk-1.4.1/src/include/libpmemobj++/transaction.hpp